| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::InterpolateEdgePersp::PerFloat Struct Reference

A single interpolated buffer value. More...

`#include <csplugincommon/softshader/types.h>`

List of all members.

## Public Attributes
float | c
| Un-divided buffer value.
float | dIcdy
| Buffer value div Z per-scanline delta.
float | Ic
| Buffer value div Z.

## Detailed Description

A single interpolated buffer value.

Definition at line 62 of file types.h.

## Member Data Documentation

float CS::PluginCommon::SoftShader::InterpolateEdgePersp::PerFloat::c

Un-divided buffer value.

Definition at line 69 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateEdgePersp::Advance(), CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup(), and CS::PluginCommon::SoftShader::InterpolateEdgePersp::Setup().

float CS::PluginCommon::SoftShader::InterpolateEdgePersp::PerFloat::dIcdy

Buffer value div Z per-scanline delta.

Definition at line 67 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateEdgePersp::Setup().

float CS::PluginCommon::SoftShader::InterpolateEdgePersp::PerFloat::Ic

Buffer value div Z.

Definition at line 65 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateEdgePersp::Advance(), CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup(), and CS::PluginCommon::SoftShader::InterpolateEdgePersp::Setup().

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h